/*****************************************************************************/
/* Character class for WonderWitch                                           */
/* 饯ʤɤβ򰷤饹                                        */
/*****************************************************************************/

#ifndef _Character_h_INCLUDED_
#define _Character_h_INCLUDED_

typedef struct _Character * Character;

#include <sys/disp.h>

#include "dsp.h"
#include "picture.h"

int Character_GetX(Character character);
int Character_GetY(Character character);
Picture Character_GetPicture(Character character);

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

Character Character_Create(Character character, Disp disp, Picture picture,
			   int x, int y);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Character Character_Destroy(Character character);

/*---------------------------------------------------------------------------*/
/*                                                                       */
/*---------------------------------------------------------------------------*/

int Character_Locate(Character character, int x, int y);

/*---------------------------------------------------------------------------*/
/* ư                                                                      */
/*---------------------------------------------------------------------------*/

int Character_Move(Character character, int delta_x, int delta_y);

/*---------------------------------------------------------------------------*/
/* Ļ֤ˤ                                                            */
/*---------------------------------------------------------------------------*/

int Character_Visible(Character character);

/*---------------------------------------------------------------------------*/
/* ɽ֤ˤ                                                          */
/*---------------------------------------------------------------------------*/

int Character_Hide(Character character);

/*---------------------------------------------------------------------------*/
/* ꤹ                                                            */
/*---------------------------------------------------------------------------*/

int Character_SetPicture(Character character, Picture picture);

/*---------------------------------------------------------------------------*/
/* ꤷ饯̤ˤäƤ                                */
/*---------------------------------------------------------------------------*/

int Character_PutCharacterAtCenterOfScreen(Character character);

#endif /* _Character_h_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
