#ifndef _XDisplay_h_INCLUDED_
#define _XDisplay_h_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "wonx_include/key.h"

#include "WWLCDPanel.h"

/*****************************************************************************/
/* 饹                                                              */
/*****************************************************************************/

typedef struct _XDisplay * XDisplay;

/*****************************************************************************/
/* дؿ                                                          */
/*****************************************************************************/

unsigned int XDisplay_GetKeyPress(XDisplay x_display);
int XDisplay_GetLCDDraw(XDisplay x_display);

int XDisplay_GetColorMapPrint(XDisplay d);
int XDisplay_GetPalettePrint(XDisplay d);
int XDisplay_GetCharacterPrint(XDisplay d);
int XDisplay_GetSpritePrint(XDisplay d);

int XDisplay_SetColorMapPrint(XDisplay d, int f);
int XDisplay_SetPalettePrint(XDisplay d, int f);
int XDisplay_SetCharacterPrint(XDisplay d, int f);
int XDisplay_SetSpritePrint(XDisplay d, int f);

/*===========================================================================*/
/* ֥ȤȾõ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

XDisplay XDisplay_Create(int width, int height);

/*---------------------------------------------------------------------------*/
/* ֥Ȥξõ                                                        */
/*---------------------------------------------------------------------------*/

XDisplay XDisplay_Destroy(XDisplay x_display);

/*---------------------------------------------------------------------------*/
/* XФȤƱ                                                           */
/*---------------------------------------------------------------------------*/

int XDisplay_Sync(XDisplay x_display);

/*---------------------------------------------------------------------------*/
/*                                                                       */
/*---------------------------------------------------------------------------*/

int XDisplay_DrawLCDWindow(XDisplay x_display, WWLCDPanel ww_lcd_panel);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
