#ifndef _Man_h_INCLUDED_
#define _Man_h_INCLUDED_

typedef struct _Man * Man;

#include <stdio.h>

#include "player.h"
#include "dsp.h"
#include "map.h"
#include "monster.h"

/* Ƥν */
#define MAN_NO_GUN    0 /* ƤäƤʤ         */
#define MAN_REVOLVER  1 /* ܥС             */
#define MAN_AUTOMATIC 2 /* ȥޥåԥȥ */
#define MAN_RIFLE     3 /* 饤ե               */

/* ԡɡν */
#define MAN_NO_SPEED_LOADER 0 /* ԡɡ */
#define MAN_SPEED_LOADER    1 /* ԡɡ   */

/* ͤθ */
#define MAN_LEFT  0 /*  */
#define MAN_UP    1 /*  */
#define MAN_RIGHT 2 /*  */
#define MAN_DOWN  3 /*  */

/* ͤξ */
#define MAN_STATUS_STAND 0 /* ̤ΩäƤ */
#define MAN_STATUS_SHOOT 1 /* ͷ */
#define MAN_STATUS_RIFLE 2 /* 饤եͷ */

/*===========================================================================*/
/* ֥Ȥͤμ                                                    */
/*===========================================================================*/

int Man_GetX(Man man);
int Man_GetY(Man man);
int Man_GetDir(Man man);
Player Man_GetPlayer(Man man);

/*===========================================================================*/
/* ֥ȤȺ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/*                                                                       */
/*---------------------------------------------------------------------------*/

Man Man_Create(Man man, Player player, Disp disp, Map map,
	       int x, int y, int dir);

/*---------------------------------------------------------------------------*/
/*                                                                       */
/*---------------------------------------------------------------------------*/

Man Man_Destroy(Man man);

/*---------------------------------------------------------------------------*/
/*                                                                       */
/*---------------------------------------------------------------------------*/

int Man_Locate(Man man, Map map, int x, int y, int dir, int status);

/*---------------------------------------------------------------------------*/
/* ư                                                                      */
/*---------------------------------------------------------------------------*/

int Man_Move(Man man, Map map, int dir);

/*---------------------------------------------------------------------------*/
/* ƹ                                                                    */
/*---------------------------------------------------------------------------*/

int Man_Reload(Man man);
int Man_Load(Man man, Map map);

/*---------------------------------------------------------------------------*/
/* ͷ                                                                      */
/*---------------------------------------------------------------------------*/

int Man_Shoot(Man man, Map map, int monster_number, Monster monsters[]);

#endif

/* End of File. */
