#ifndef _ManP_h_INCLUDED_
#define _ManP_h_INCLUDED_

#include "man.h"

#include "picturep.h"
#include "charap.h"

#define MAN_SPEED_LOADER_COUNT     4
#define MAN_NO_SPEED_LOADER_COUNT 10
#define MAN_REVOLVER_BULLET   6
#define MAN_AUTOMATIC_BULLET 15
#define MAN_RIFLE_BULLET     30

/* Man ֥ */
typedef struct _Man {
  Player player;
  int x, y; /* ɸ */
  int dir;  /*  */
  int status; /*  */
  unsigned int bullet; /* ƴݤο */
  unsigned int load_count; /* ƴ佼ѤΥ */
  unsigned int gun; /* Ƥν */
  unsigned int speed_loader; /* ԡɡν */

  Picture stand_picture[4]; /* ΩäƤ֤β(岼) */
  Picture shoot_picture[4]; /* ͷ֤β(岼) */
  Picture rifle_picture[4]; /* 饤եͷ֤β(岼) */
  _Picture _stand_picture[4]; /* ֥Ȥ */
  _Picture _shoot_picture[4]; /* ֥Ȥ */
  _Picture _rifle_picture[4]; /* ֥Ȥ */

  Character character; /* 饯 */
  _Character _character; /* ֥Ȥ */
} _Man;

#endif

/* End of program */
