/*****************************************************************************/
/* Picture class for WonderWitch                                             */
/* 饯ʤɤβ򰷤饹                                        */
/*****************************************************************************/

#ifndef _Picture_h_INCLUDED_
#define _Picture_h_INCLUDED_

typedef struct _Picture * Picture;

#include <sys/disp.h>

#include "dsp.h"

int Picture_GetWidth( Picture picture);
int Picture_GetHeight(Picture picture);

/*---------------------------------------------------------------------------*/
/* 饯ֹμ                                                      */
/*---------------------------------------------------------------------------*/

int Picture_GetNumber(Picture picture);

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

Picture Picture_Create(Picture picture, Disp disp, int width, int height,
		       unsigned char bitmap[]);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Picture Picture_Destroy(Picture picture);

/*---------------------------------------------------------------------------*/
/*                                                                       */
/*---------------------------------------------------------------------------*/

int Picture_Put(Picture picture, int x, int y);

#endif /* _Picture_h_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
